petsc-3.4.2 2013-07-02

# PetscSFBcastEnd

end a broadcast operation started with PetscSFBcastBegin()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFBcastEnd(PetscSF sf,MPI_Datatype unit,const void *rootdata,void *leafdata)

Collective

### Input Arguments

| sf | - star forest
| unit | - data type
| rootdata | - buffer to broadcast

### Output Arguments

leafdata -buffer to update with values from each leaf's respective root

### See Also

PetscSFSetGraph(), PetscSFReduceEnd()

Level:intermediate
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html